Skip to content

Run Job

POST
/api/v3/projects/{project_id}/jobs/{job_id}/runs
curl --request POST \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/runs \
--header 'Content-Type: application/json' \
--data '{ "idempotency_key": "example" }'

Persist a release-bound run and enqueue it without blocking the API.

project_id
required
Project Id
string format: uuid
job_id
required
Job Id
string format: uuid
X-Admin-Key
Any of:
string
Media typeapplication/json
JobRunRequestV3
object
idempotency_key
Any of:
string
>= 1 characters <= 240 characters
Examplegenerated
{
"idempotency_key": "example"
}

Successful Response

Media typeapplication/json
JobRunResponseV3
object
agent_run_id
Any of:
string format: uuid
attempt_count
required
Attempt Count
integer
completed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
dispatch_key
required
Dispatch Key
string
error_code
Any of:
string
error_message
Any of:
string
id
required
Id
string format: uuid
job_id
required
Job Id
string format: uuid
max_attempts
required
Max Attempts
integer
metadata
Metadata
object
key
additional properties
any
project_id
required
Project Id
string format: uuid
release
Release
object
key
additional properties
any
response_id
Any of:
string
scheduled_for
required
Scheduled For
string format: date-time
status
required
Status
string
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
trace_id
Any of:
string
Example
{
"target": "candidate"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}